<!--
Copyright 2020 The Chromium Authors. All rights reserved.
Use of this source code is governed by a BSD-style license that can be
found in the LICENSE file.
-->

<!--
This file is used to generate a comprehensive list of OOBE histograms
along with a detailed description for each histogram.

For best practices on writing histogram descriptions, see
https://chromium.googlesource.com/chromium/src.git/+/HEAD/tools/metrics/histograms/README.md

Please send CLs to chromium-metrics-reviews@google.com rather than to specific
individuals. These CLs will be automatically reassigned to a reviewer within
about 5 minutes. This approach helps the metrics team to load-balance incoming
reviews. Googlers can read more about this at go/gwsq-gerrit.
-->

<histogram-configuration>

<histograms>

<histogram name="OOBE.ArcTermsOfServiceScreen.ReviewFollowingSetup"
    enum="BooleanChecked" expires_after="2021-05-23">
  <owner>raleksandrov@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <summary>
    Whether the review Google Play following setup box is checked. Recorded when
    user leaves ArcTermsOfService screeen.
  </summary>
</histogram>

<histogram name="OOBE.BootToSignInCompleted" units="ms"
    expires_after="2021-06-06">
  <owner>alemate@chromium.org</owner>
  <owner>rsorokin@chromium.org</owner>
  <owner>cros-oac@google.com</owner>
  <summary>Time from the login screen start to user session start.</summary>
</histogram>

<histogram name="OOBE.ErrorScreensTime.Enrollment" units="ms"
    expires_after="2021-08-01">
  <owner>raleksandrov@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <summary>
    Time spent on error screens during enrollment or autoenrollment.
  </summary>
</histogram>

<histogram name="OOBE.ErrorScreensTime.Signin" units="ms"
    expires_after="2021-08-01">
  <owner>raleksandrov@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <summary>Time spent on error screens during signin.</summary>
</histogram>

<histogram name="OOBE.ErrorScreensTime.Supervised" units="ms"
    expires_after="2021-08-01">
  <owner>raleksandrov@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <summary>
    Time spent on error screens during supervised user creation.
  </summary>
</histogram>

<histogram name="OOBE.ErrorScreensTime.Update" units="ms"
    expires_after="2021-02-07">
  <owner>raleksandrov@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <summary>Time spent on error screens during update.</summary>
</histogram>

<histogram name="OOBE.EulaScreen.UserActions" enum="EulaScreenUserAction"
    expires_after="2021-02-02">
  <owner>raleksandrov@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <summary>
    Tracks all user actions on the EULA screen. Recorded when user clicks on
    buttons on the EULA screen.
  </summary>
</histogram>

<histogram name="OOBE.EULAToSignInTime" units="ms" expires_after="never">
<!-- expires-never: Core metric for monitoring initial Gaia loading regressions.
-->

  <owner>rsorokin@chromium.org</owner>
  <owner>alemate@chromium.org</owner>
  <owner>cros-oac@google.com</owner>
  <summary>
    Time from acceptance of the EULA until the login screen is first displayed.
  </summary>
</histogram>

<histogram name="OOBE.FingerprintSetupScreen.UserActions"
    enum="FingerprintSetupScreenUserAction" expires_after="2021-06-06">
  <owner>raleksandrov@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <summary>
    Tracks all user actions on the fingerprint screen. Recorded when user clicks
    on buttons on the fingerprint screen.
  </summary>
</histogram>

<histogram name="OOBE.GaiaPasswordChangedScreen.UserActions"
    enum="GaiaPasswordChangedScreenUserAction" expires_after="2021-10-01">
  <owner>raleksandrov@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <summary>
    Tracks all user actions on the GaiaPasswordChanged screen. Recorded when
    user clicks on buttons on the screen.
  </summary>
</histogram>

<histogram base="true" name="OOBE.GestureNavigationScreen.PageShownTime"
    units="ms" expires_after="2021-04-01">
<!-- Name completed by histogram_suffixes
     name="GestureNavigationOOBEPage" -->

  <owner>mmourgos@chromium.org</owner>
  <owner>tbarzic@chromium.org</owner>
  <summary>
    Records the amount of time that each page within the gesture navigation OOBE
    screen is shown. Recorded when the gesture navigation oobe screen is
    exiting.
  </summary>
</histogram>

<histogram name="OOBE.MarketingOptInScreen.BackendConnector"
    enum="MarketingOptInBackendConnectorEvent" expires_after="2021-05-30">
  <owner>rrsilva@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <summary>
    The result of a request performed by the MarketingBackendConnector used in
    the OOBE MarketingOptInScreen when subscribing the user to Chromebook
    emails. This data is used to determine the success rate of the requests
    being performed.
  </summary>
</histogram>

<histogram name="OOBE.MarketingOptInScreen.Event"
    enum="MarketingOptInScreenEvent" expires_after="2021-05-30">
  <owner>rrsilva@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <summary>
    Records the choice a user takes when prompted with a toggle on the OOBE
    MarketingOptInScreen to subscribe to Chromebook emails.
  </summary>
</histogram>

<histogram name="OOBE.MarketingOptInScreen.GeolocationResolve"
    enum="MarketingOptInGeolocationEvent" expires_after="2021-05-30">
  <owner>rrsilva@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <summary>
    Records whether the user's geolocation was resolved successfully.
  </summary>
</histogram>

<histogram name="OOBE.MarketingOptInScreen.GeolocationResolveLength"
    units="chars" expires_after="2021-05-30">
  <owner>rrsilva@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <summary>
    Records the length of the country code that was returned when determining
    the user's geolocation.
  </summary>
</histogram>

<histogram name="OOBE.NetworkErrorShown.Enrollment" enum="NetworkErrorType"
    expires_after="M77">
  <owner>achuith@google.com</owner>
  <summary>
    Number of times error screen has appeared during enrollment or
    autoenrollment.
  </summary>
</histogram>

<histogram name="OOBE.NetworkErrorShown.Signin" enum="NetworkErrorType"
    expires_after="M77">
  <owner>achuith@google.com</owner>
  <summary>Number of times error screen has appeared during signin.</summary>
</histogram>

<histogram name="OOBE.NetworkErrorShown.Update" enum="NetworkErrorType"
    expires_after="M77">
  <owner>achuith@google.com</owner>
  <summary>Number of times error screen has appeared during update.</summary>
</histogram>

<histogram name="OOBE.PinSetupScreen.UserActions"
    enum="PinSetupScreenUserAction" expires_after="2021-07-30">
  <owner>raleksandrov@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <summary>
    Tracks all user actions on the PinSetup screen. Recorded when user clicks on
    buttons on the PinSetup screen or when screen is automatically skipped.
  </summary>
</histogram>

<histogram name="OOBE.RecommendApps.Fetcher.AppCount" units="apps"
    expires_after="2021-07-30">
  <owner>raleksandrov@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <owner>chromesky-eng@google.com</owner>
  <summary>The number of recommended apps.</summary>
</histogram>

<histogram name="OOBE.RecommendApps.Fetcher.DownloadTime" units="ms"
    expires_after="2021-07-30">
  <owner>raleksandrov@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <owner>chromesky-eng@google.com</owner>
  <summary>The time it takes to fetch the recommended apps.</summary>
</histogram>

<histogram name="OOBE.RecommendApps.Fetcher.ResponseCode"
    enum="HttpResponseCode" expires_after="2021-07-30">
  <owner>raleksandrov@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <owner>chromesky-eng@google.com</owner>
  <summary>The response code of fetching the recommended apps.</summary>
</histogram>

<histogram name="OOBE.RecommendApps.Fetcher.ResponseParseResult"
    enum="RecommendAppsResponseParseResult" expires_after="2021-07-30">
  <owner>raleksandrov@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <owner>chromesky-eng@google.com</owner>
  <summary>The result of parsing the recommend-apps response.</summary>
</histogram>

<histogram name="OOBE.RecommendApps.Screen.Action"
    enum="RecommendAppsScreenAction" expires_after="2021-07-30">
  <owner>raleksandrov@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <owner>chromesky-eng@google.com</owner>
  <summary>The user action on the recommend apps screen.</summary>
</histogram>

<histogram name="OOBE.RecommendApps.Screen.SelectedAppCount" units="apps"
    expires_after="2021-07-30">
  <owner>raleksandrov@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <owner>chromesky-eng@google.com</owner>
  <summary>The number of apps user selected.</summary>
</histogram>

<histogram name="OOBE.RecommendApps.Screen.SelectedRecommendedPercentage"
    units="%" expires_after="2021-07-30">
  <owner>raleksandrov@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <owner>chromesky-eng@google.com</owner>
  <summary>The ratio of selected and recommended apps.</summary>
</histogram>

<histogram name="OOBE.RecommendApps.Screen.State"
    enum="RecommendAppsScreenState" expires_after="2021-07-30">
  <owner>raleksandrov@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <owner>chromesky-eng@google.com</owner>
  <summary>Whether the reocmmend apps screen is shown.</summary>
</histogram>

<histogram name="OOBE.StepCompletionTime" units="ms" expires_after="never">
<!-- expires-never: Core metric for monitoring OOBE flow regressions. -->

  <owner>alemate@chromium.org</owner>
  <owner>antrim@chromium.org</owner>
  <owner>rsorokin@chromium.org</owner>
  <owner>cros-oac@google.com</owner>
  <summary>Time spent on specific OOBE screen.</summary>
</histogram>

<histogram name="OOBE.StepCompletionTimeByExitReason" units="ms"
    expires_after="2021-06-13">
  <owner>raleksandrov@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <summary>Time spent on specific OOBE screen grouped by exit reason.</summary>
</histogram>

<histogram name="OOBE.SyncConsentScreen.Behavior" enum="SyncConsentBehavior"
    expires_after="2021-06-06">
  <owner>jamescook@chromium.org</owner>
  <owner>cros-oac@google.com</owner>
  <summary>
    Whether the sync consent screen was shown, skipped with sync disabled, or
    skipped with sync enabled. Recorded when the screen is closed. Metrics
    Sync.InitialState and OOBE.SyncConsentScreen.SyncEnabled provide more detail
    on the state of the sync engine.
  </summary>
</histogram>

<histogram name="OOBE.SyncConsentScreen.ReviewFollowingSetup"
    enum="BooleanChecked" expires_after="2021-04-11">
  <owner>raleksandrov@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <summary>
    Whether the review following setup box is checked. Recorded when user leaves
    SyncConsent screen.
  </summary>
</histogram>

<histogram name="OOBE.SyncConsentScreen.SyncEnabled" enum="BooleanEnabled"
    expires_after="2021-06-06">
  <owner>jamescook@chromium.org</owner>
  <owner>cros-oac@google.com</owner>
  <summary>
    Final state of the sync service at the end of the sync consent OOBE step.
    The dialog may have been shown or skipped (e.g. by enterprise policy). See
    OOBE.SyncConsentScreen.Behavior for skip reasons.
  </summary>
</histogram>

<histogram name="OOBE.SyncConsentScreen.UserChoice"
    enum="SyncConsentUserChoice" expires_after="2021-06-06">
  <owner>jamescook@chromium.org</owner>
  <owner>cros-oac@google.com</owner>
  <summary>
    Which button the user clicked on the out-of-box sync consent screen.
    Recorded when the user clicks the button, which also closes the screen.
  </summary>
</histogram>

<histogram name="OOBE.UpdateScreen.StageTime.Check" units="ms"
    expires_after="2021-08-01">
  <owner>dkuzmin@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <summary>
    Time spent on Checking of the ChromeOS update. Recorded when the stage is
    done and the next stage is about to start.
  </summary>
</histogram>

<histogram name="OOBE.UpdateScreen.StageTime.Download" units="ms"
    expires_after="2021-08-01">
  <owner>dkuzmin@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <summary>
    Time spent on Downloading of the ChromeOS update. Recorded when the stage is
    done and the next stage is about to start.
  </summary>
</histogram>

<histogram name="OOBE.UpdateScreen.StageTime.Finalize" units="ms"
    expires_after="2021-08-01">
  <owner>dkuzmin@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <summary>
    Time spent on Finalizing of the ChromeOS update. Recorded when the stage is
    done and the next stage is about to start.
  </summary>
</histogram>

<histogram name="OOBE.UpdateScreen.StageTime.Verify" units="ms"
    expires_after="2021-08-01">
  <owner>dkuzmin@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <summary>
    Time spent on Verifying of the ChromeOS update. Recorded when the stage is
    done and the next stage is about to start.
  </summary>
</histogram>

<histogram name="OOBE.UpdateScreen.UpdateDownloadingTime" units="ms"
    expires_after="2021-08-01">
  <owner>raleksandrov@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <summary>
    Time spent on downloading ChromeOS update when critical updated is found
    during OOBE. Recorded when update is uploaded and ChromeOS device is about
    to restart to apply the update.
  </summary>
</histogram>

<histogram name="OOBE.WebUIToViewsSwitch.Duration" units="ms"
    expires_after="2021-05-16">
  <owner>rsorokin@chromium.org</owner>
  <owner>cros-oac@google.com</owner>
  <summary>
    Measures time spent by switch between WebUI and Views-based display hosts.
  </summary>
</histogram>

<histogram name="OOBE.WelcomeScreen.A11yUserActions"
    enum="WelcomeScreenA11yUserAction" expires_after="2021-06-13">
  <owner>dkuzmin@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <summary>
    Measures usage of the accessibility options on the welcome screen during
    OOBE. Recorded when user enables or disables any of the accessibility
    options from accessibility menu on the welcome screen.
  </summary>
</histogram>

<histogram name="OOBE.WelcomeScreen.AcceptChromeVoxHint" enum="BooleanEnabled"
    expires_after="2021-04-11">
  <owner>akihiroota@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <summary>
    Whether or not the user accepted the ChromeVox hint. Recorded when the user
    interacts with the ChromeVox hint dialog.
  </summary>
</histogram>

<histogram name="OOBE.WelcomeScreen.ChromeVoxHintSpokenSuccess"
    enum="BooleanEnabled" expires_after="2021-04-11">
  <owner>akihiroota@google.com</owner>
  <owner>cros-oac@google.com</owner>
  <summary>
    Whether or not the ChromeVox hint was successfully spoken. Recorded when the
    ChromeVox hint dialog is shown.
  </summary>
</histogram>

</histograms>

</histogram-configuration>
